Web lists-archives.com

Re: flex package POSIX violation

2017-12-31 22:13 GMT+01:00 Steven Penny writes:
> The POSIX standard, at least since 1997 [1], requires the presence of a
> "lex"
> utility.
> Most systems (including Cygwin) provide a Lex implementation via the "flex"
> package. However with other OS, a "lex -> flex" symlink is provided, whereas
> the
> Cygwin package does not.
> Please resolve this, thanks.
> [1] http://pubs.opengroup.org/onlinepubs/7908799/xcu/lex.html

Maybe to 'request' something is not the best approach to resolve your issue?

A better way to handle issues like this would be:
you provide a patch to handle the issue and the maintainer of the
package may then decide to incorporate your patch.


Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple